#!/bin/bash

# Wait until internet is available
while ! ping -c1 1.1.1.1 &>/dev/null; do
    echo "Waiting for internet connection..."
    sleep 5
done

if [ ! -f "/winbox64.exe" ]; then
    echo "Winbox executable not found in /data. Downloading..."
    wget -O /winbox64.exe https://download.mikrotik.com/routeros/winbox/3.42/winbox64.exe
fi

while true; do
    echo "Starting Winbox..."
    wine64 /winbox64.exe
    echo "Winbox closed. Restarting in 3 seconds..."
    sleep 3
done